<?php
/**
 * Output cookie control configuration
 *
 * @package     CookieControl8.CIVIC
 * @subpackage  Modules
 * @author      Civic Team <queries@civicuk.com>
 * @copyright   Copyright (C) 2018 Open Source Matters, Inc. All rights reserved.
 * @license     GNU/GPL v2 or later http://www.gnu.org/licenses/gpl-2.0.html
 * @since       1.0
 *
 * Websites: https://www.civicuk.com
 * Documentation:  https://www.civicuk.com/cookie-control/v8/documentation
 */

// No direct access
defined('_JEXEC') or die('Restricted access');

if ((int) $cookiecontrolSettings['version'] === 8)
{
	JHtml::script('//cc.cdn.civiccomputing.com/8/cookieControl-8.x.min.js');
}
else
{
	JHtml::script('//cc.cdn.civiccomputing.com/9/cookieControl-9.x.min.js');
}

if ((int) $cookiecontrolSettings['version'] === 8)
{
	?>

<script type="text/javascript">
	var config = {
	apiKey: '<?php echo $cookiecontrolSettings['apiKey']; ?>',
	product: '<?php echo $cookiecontrolSettings['product']; ?>',
	logConsent : <?php echo $cookiecontrolSettings['logConsent']; ?>,
	encodeCookie : <?php echo $cookiecontrolSettings['encodeCookie']; ?>,
	subDomains : <?php echo $cookiecontrolSettings['subDomains']; ?>,

	initialState: '<?php echo $cookiecontrolSettings['initialState']; ?>',
	position: '<?php echo $cookiecontrolSettings['position']; ?>',
	rejectButton: <?php echo $cookiecontrolSettings['rejectButton']; ?>,
	theme: '<?php echo $cookiecontrolSettings['theme']; ?>',
	layout: '<?php echo $cookiecontrolSettings['layout']; ?>',
	toggleType: '<?php echo $cookiecontrolSettings['toggleType']; ?>',
	closeStyle: '<?php echo $cookiecontrolSettings['closeStyle']; ?>',
	settingsStyle: '<?php echo $cookiecontrolSettings['settingsStyle']; ?>',
	consentCookieExpiry: <?php echo $cookiecontrolSettings['expiry']; ?>,

	accessibility : {
		accessKey: '<?php echo $cookiecontrolSettings['accessKey']; ?>',
		highlightFocus: <?php echo $cookiecontrolSettings['highlightFocus']; ?>,
	},

  onLoad: function () {<?php echo $cookiecontrolSettings['onLoad']; ?>},

	text : {
		title: '<?php echo $cookiecontrolSettings['titleText']; ?>',
		intro:  '<?php echo $cookiecontrolSettings['introText']; ?>',
		necessaryTitle : '<?php echo $cookiecontrolSettings['necessaryTitle']; ?>',
		necessaryDescription : '<?php echo $cookiecontrolSettings['necessaryDescription']; ?>',
		thirdPartyTitle : '<?php echo $cookiecontrolSettings['thirdPartyTitle']; ?>',
		thirdPartyDescription : '<?php echo $cookiecontrolSettings['thirdPartyDescription']; ?>',
		on : '<?php echo $cookiecontrolSettings['onText']; ?>',
		off : '<?php echo $cookiecontrolSettings['offText']; ?>',
		accept : '<?php echo $cookiecontrolSettings['acceptText']; ?>',
		settings : '<?php echo $cookiecontrolSettings['settingsText']; ?>',
		acceptRecommended : '<?php echo $cookiecontrolSettings['acceptRecommended']; ?>',
		rejectSettings : '<?php echo $cookiecontrolSettings['rejectSettings']; ?>',
		notifyTitle : '<?php echo $cookiecontrolSettings['notifyTitle']; ?>',
		notifyDescription : '<?php echo $cookiecontrolSettings['notifyDescription']; ?>',
		closeLabel : '<?php echo $cookiecontrolSettings['closeLabel']; ?>',
		accessibilityAlert : '<?php echo $cookiecontrolSettings['accessibilityAlert']; ?>',
	<?php
	if (($cookiecontrolSettings['product'] != 'COMMUNITY'))
	{
		?>
		iabCMP : {
				label: '<?php echo $cookiecontrolSettings['iabLabel']; ?>',
				description: '<?php echo $cookiecontrolSettings['iabDescription']; ?>',
				configure: '<?php echo $cookiecontrolSettings['iabConfigure']; ?>',
				panelTitle: '<?php echo $cookiecontrolSettings['iabpanelTitle']; ?>',
				panelIntro: '<?php echo $cookiecontrolSettings['iabpanelIntro']; ?>',
				aboutIab: '<?php echo $cookiecontrolSettings['iaaboutIab']; ?>',
				iabName: '<?php echo $cookiecontrolSettings['iabName']; ?>',
				iabLink: '<?php echo $cookiecontrolSettings['iabLink']; ?>',
				panelBack: '<?php echo $cookiecontrolSettings['iabpanelBack']; ?>',
				vendorTitle: '<?php echo $cookiecontrolSettings['iabvendorTitle']; ?>',
				vendorConfigure: '<?php echo $cookiecontrolSettings['iabvendorConfigure']; ?>',
				vendorBack: '<?php echo $cookiecontrolSettings['iabvendorBack']; ?>',
				acceptAll: '<?php echo $cookiecontrolSettings['iabacceptAll']; ?>',
				rejectAll: '<?php echo $cookiecontrolSettings['iabrejectAll']; ?>',
				back: '<?php echo $cookiecontrolSettings['iabBack']; ?>',
   }
		<?php
	}
	?>
	},
	<?php
	if (($cookiecontrolSettings['product'] != 'COMMUNITY'))
	{
		?>
	branding : {
		fontColor: '<?php echo $cookiecontrolSettings['fontColor']; ?>',
		fontFamily: '<?php echo $cookiecontrolSettings['fontFamily']; ?>',
		fontSizeTitle: '<?php echo $cookiecontrolSettings['fontSizeTitle']; ?>em',
		fontSizeHeaders: '<?php echo $cookiecontrolSettings['fontSizeHeaders']; ?>em',
		fontSize: '<?php echo $cookiecontrolSettings['fontSize']; ?>em',
		backgroundColor: '<?php echo $cookiecontrolSettings['backgroundColor']; ?>',
		toggleText: '<?php echo $cookiecontrolSettings['toggleText']; ?>',
		toggleColor: '<?php echo $cookiecontrolSettings['toggleColor']; ?>',
		toggleBackground: '<?php echo $cookiecontrolSettings['toggleBackground']; ?>',
		alertText: '<?php echo $cookiecontrolSettings['alertText']; ?>',
		alertBackground: '<?php echo $cookiecontrolSettings['alertBackground']; ?>',
		acceptText: '<?php echo $cookiecontrolSettings['acceptTextColor']; ?>',
		acceptBackground: '<?php echo $cookiecontrolSettings['acceptBackground']; ?>',

		<?php
		if (empty($cookiecontrolSettings['buttonIcon']))
		{
			?>
		buttonIcon: null,
			<?php
		}
		else
		{
			?>
		buttonIcon: '<?php echo $cookiecontrolSettings['buttonIcon']; ?>',
			<?php
		}
		?>
		buttonIconWidth: '<?php echo $cookiecontrolSettings['buttonIconWidth']; ?>px',
		buttonIconHeight: '<?php echo $cookiecontrolSettings['buttonIconHeight']; ?>px',
		removeIcon: <?php echo $cookiecontrolSettings['removeIcon']; ?>,
		removeAbout: <?php echo $cookiecontrolSettings['removeAbout']; ?>
	},
		<?php
	}

	if (!empty($cookiecontrolSettings['excludedCountries']) && count($cookiecontrolSettings['excludedCountries']) > 0)
	{
		$excludedCountriesVal = '';

		foreach ($cookiecontrolSettings['excludedCountries'] as $key => $val)
		{
			$excludedCountriesVal .= $val != '' ? "'" . $val . "'," : '';
		}

		if ($excludedCountriesVal != '')
		{
			?>
		excludedCountries: [ <?php echo substr($excludedCountriesVal, 0, -1); ?> ],
			<?php
		}
	}
	?> 

	<?php
	if (!empty($cookiecontrolSettings['altLanguages_list']) && count($cookiecontrolSettings['altLanguages_list']) > 0)
	{
		?>
	locales: [
		<?php
		foreach ($cookiecontrolSettings['altLanguages_list']['altLanguages'] as $key => $val)
		{
			if ($val != '' && $cookiecontrolSettings['altLanguages_list']['altLanguagesText'][$key] != '')
			{
				?>
		{
			locale: '<?php echo $val; ?>',
				<?php echo $cookiecontrolSettings['altLanguages_list']['altLanguagesText'][$key]; ?> 
		},       
				<?php
			}
		}
		?>
	],
		<?php
	}

	if (!empty($cookiecontrolSettings['necessaryCookies']) && count($cookiecontrolSettings['necessaryCookies']) > 0)
	{
		$necessaryCookiesVal = '';

		foreach ($cookiecontrolSettings['necessaryCookies'] as $key => $val)
		{
			$necessaryCookiesVal .= $val != '' ? "'" . $val . "'," : '';
		}

		if ($necessaryCookiesVal != '')
		{
			?>    
		necessaryCookies: [ <?php echo substr($necessaryCookiesVal, 0, -1); ?> ],
			<?php
		}
	}

	if (!empty($cookiecontrolSettings['optionalCookiesSubform']) && count((array) $cookiecontrolSettings['optionalCookiesSubform']) > 0)
	{
		?>
	optionalCookies: [
		<?php
		foreach ($cookiecontrolSettings['optionalCookiesSubform'] as $key => $val)
		{
			if ($val != '')
			{
				?>
			{
			name: '<?php echo str_replace(' ', '_', $val->optionalCookiesName); ?>',
			label: '<?php echo $val->optionalCookiesLabel; ?>',
			description: '<?php echo $val->optionalCookiesDescription; ?>',
			cookies: [ <?php echo $val->optionalCookiesArray; ?> ],
			onAccept : function(){
				<?php echo $val->optionalCookiesonAccept; ?>
			},
			onRevoke : function(){
				<?php echo $val->optionalCookiesonRevoke; ?>
			},
				<?php
				if ($val->optionalCookiesthirdPartyCookies
					&& !empty($val->optionalCookiesthirdPartyCookies))
				{
					if (substr($val->optionalCookiesthirdPartyCookies, 0, 1) !== '{')
					{
						$tempThirdPartyCookies = '{' . $val->optionalCookiesthirdPartyCookies . '}';
					}
					else
					{
						$tempThirdPartyCookies = $val->optionalCookiesthirdPartyCookies;
					}
					?>
			thirdPartyCookies: [<?php echo $tempThirdPartyCookies; ?>],
					<?php
				}
				?> 
			recommendedState : '<?php echo $val->optionalCookiesinitialConsentState; ?>',
			lawfulBasis : '<?php echo $val->optionalCookieslawfulBasis; ?>',
	},
				<?php
			}
		}
		?>   
	],
		<?php
	}
	?>

	statement:  {
		description: '<?php echo $cookiecontrolSettings['privacyDescription']; ?>',
		name: '<?php echo $cookiecontrolSettings['privacyName']; ?>',
		url: '<?php echo $cookiecontrolSettings['privacyURL']; ?>',
		updated: '<?php echo $cookiecontrolSettings['privacyUpdateDate']; ?>'
	},
	<?php
	if (($cookiecontrolSettings['product'] != 'COMMUNITY'))
	{
		?>
  iabCMP: <?php echo $cookiecontrolSettings['iabCMP']; ?>,
  globalVendorListLocation: 'https://vendorlist.consensu.org/vendorlist.json',
  gdprAppliesGlobally: <?php echo $cookiecontrolSettings['gdprAppliesGlobally']; ?>,
  iabConfig: {
		recommendedState: {
				1 : <?php echo $cookiecontrolSettings['recommendedState1']; ?>,
				2 : <?php echo $cookiecontrolSettings['recommendedState2']; ?>,
				3 : <?php echo $cookiecontrolSettings['recommendedState3']; ?>,
				4 : <?php echo $cookiecontrolSettings['recommendedState4']; ?>,
				5 : <?php echo $cookiecontrolSettings['recommendedState5']; ?>
		},
  },
		<?php
	}
	?>
	};

	CookieControl.load( config );
</script>
	<?php
}
else
{
	?>
<script type="text/javascript">
	var config = {
	apiKey: '<?php echo $cookiecontrolSettings['apiKey']; ?>',
	product: '<?php echo $cookiecontrolSettings['product']; ?>',
	logConsent : <?php echo $cookiecontrolSettings['logConsent']; ?>,
	encodeCookie : <?php echo $cookiecontrolSettings['encodeCookie']; ?>,
	subDomains : <?php echo $cookiecontrolSettings['subDomains']; ?>,
	sameSiteCookie : <?php echo $cookiecontrolSettings['sameSiteCookie']; ?>,
	sameSiteValue : '<?php echo $cookiecontrolSettings['sameSiteValue']; ?>',
  mode : '<?php echo $cookiecontrolSettings['mode']; ?>',

	setInnerHTML: true,
	initialState: '<?php echo $cookiecontrolSettings['initialState']; ?>',
	position: '<?php echo $cookiecontrolSettings['position']; ?>',
	rejectButton: <?php echo $cookiecontrolSettings['rejectButton']; ?>,
	theme: '<?php echo $cookiecontrolSettings['theme']; ?>',
	layout: '<?php echo $cookiecontrolSettings['layout']; ?>',
	toggleType: '<?php echo $cookiecontrolSettings['toggleType']; ?>',
	closeStyle: '<?php echo $cookiecontrolSettings['closeStyle']; ?>',
	notifyDismissButton: <?php echo $cookiecontrolSettings['notifyDismissButton']; ?>,
	settingsStyle: '<?php echo $cookiecontrolSettings['settingsStyle']; ?>',
	consentCookieExpiry: <?php echo $cookiecontrolSettings['expiry']; ?>,
	acceptBehaviour: '<?php echo $cookiecontrolSettings['acceptBehaviour']; ?>',
	closeOnGlobalChange: <?php echo $cookiecontrolSettings['closeOnGlobalChange']; ?>,

	accessibility : {
		accessKey: '<?php echo $cookiecontrolSettings['accessKey']; ?>',
		highlightFocus: <?php echo $cookiecontrolSettings['highlightFocus']; ?>,
		overlay: <?php echo $cookiecontrolSettings['overlay']; ?>,
		outline: <?php echo $cookiecontrolSettings['outline']; ?>,
	},

  onLoad: function () {<?php echo $cookiecontrolSettings['onLoad']; ?>},

	text : {
		title: '<?php echo $cookiecontrolSettings['titleText']; ?>',
		intro:  '<?php echo $cookiecontrolSettings['introText']; ?>',
		necessaryTitle : '<?php echo $cookiecontrolSettings['necessaryTitle']; ?>',
		necessaryDescription : '<?php echo $cookiecontrolSettings['necessaryDescription']; ?>',
		thirdPartyTitle : '<?php echo $cookiecontrolSettings['thirdPartyTitle']; ?>',
		thirdPartyDescription : '<?php echo $cookiecontrolSettings['thirdPartyDescription']; ?>',
		accept : '<?php echo $cookiecontrolSettings['acceptText']; ?>',
		settings : '<?php echo $cookiecontrolSettings['settingsText']; ?>',
		acceptSettings : '<?php echo $cookiecontrolSettings['acceptSettings']; ?>',
		acceptRecommended : '<?php echo $cookiecontrolSettings['acceptRecommended']; ?>',
		rejectSettings : '<?php echo $cookiecontrolSettings['rejectSettings']; ?>',
		reject : '<?php echo $cookiecontrolSettings['rejectText']; ?>',
		notifyTitle : '<?php echo $cookiecontrolSettings['notifyTitle']; ?>',
		notifyDescription : '<?php echo $cookiecontrolSettings['notifyDescription']; ?>',
		closeLabel : '<?php echo $cookiecontrolSettings['closeLabel']; ?>',
		accessibilityAlert : '<?php echo $cookiecontrolSettings['accessibilityAlert']; ?>',
		cornerButton : '<?php echo $cookiecontrolSettings['cornerButton']; ?>',
		landmark : '<?php echo $cookiecontrolSettings['landmark']; ?>',
		on : '<?php echo $cookiecontrolSettings['onText']; ?>',
		off : '<?php echo $cookiecontrolSettings['offText']; ?>',
		showVendors : '<?php echo $cookiecontrolSettings['showVendors']; ?>',
		thirdPartyCookies : '<?php echo $cookiecontrolSettings['thirdPartyCookies']; ?>',
		readMore : '<?php echo $cookiecontrolSettings['readMore']; ?>',
	<?php
	if ($cookiecontrolSettings['product'] != 'COMMUNITY' && $cookiecontrolSettings['iabCMP'] == 'true')
	{
		?>
		iabCMP : {
				panelTitle: '<?php echo $cookiecontrolSettings['iabpanelTitle']; ?>',
				panelIntro1: '<?php echo $cookiecontrolSettings['iabpanelIntro1']; ?>',
				panelIntro2: '<?php echo $cookiecontrolSettings['iabpanelIntro2']; ?>',
				panelIntro3: '<?php echo $cookiecontrolSettings['iabpanelIntro3']; ?>',
				aboutIab: '<?php echo $cookiecontrolSettings['iaaboutIab']; ?>',
				iabName: '<?php echo $cookiecontrolSettings['iabName']; ?>',
				iabLink: '<?php echo $cookiecontrolSettings['iabLink']; ?>',
				vendors: '<?php echo $cookiecontrolSettings['iabvendors']; ?>',
				purposes: '<?php echo $cookiecontrolSettings['iabpurposes']; ?>',
				features: '<?php echo $cookiecontrolSettings['iabfeatures']; ?>',
				specialPurposes: '<?php echo $cookiecontrolSettings['iabspecialPurposes']; ?>',
				specialFeatures: '<?php echo $cookiecontrolSettings['iabspecialFeatures']; ?>',
				purposeLegitimateInterest: '<?php echo $cookiecontrolSettings['iabpurposeLegitimateInterest']; ?>',
				vendorLegitimateInterest: '<?php echo $cookiecontrolSettings['iabvendorLegitimateInterest']; ?>',
				relyConsent: '<?php echo $cookiecontrolSettings['iabrelyConsent']; ?>',
				relyLegitimateInterest: '<?php echo $cookiecontrolSettings['iabrelyLegitimateInterest']; ?>',
				acceptAll: '<?php echo $cookiecontrolSettings['iabacceptAll']; ?>',
				rejectAll: '<?php echo $cookiecontrolSettings['iabrejectAll']; ?>',
				dataUse: '<?php echo $cookiecontrolSettings['iabdataUse']; ?>',
				savePreferences: '<?php echo $cookiecontrolSettings['iabsavePreferences']; ?>',
				legalDescription: '<?php echo $cookiecontrolSettings['iablegalDescription']; ?>',

				cookieMaxAge: '<?php echo $cookiecontrolSettings['cookieMaxAge']; ?>',
				usesNonCookieAccessTrue: '<?php echo $cookiecontrolSettings['usesNonCookieAccessTrue']; ?>',
				usesNonCookieAccessFalse: '<?php echo $cookiecontrolSettings['usesNonCookieAccessFalse']; ?>',
				storageDisclosures: '<?php echo $cookiecontrolSettings['storageDisclosures']; ?>',
				disclosureDetailsColumn: '<?php echo $cookiecontrolSettings['disclosureDetailsColumn']; ?>',
				disclosurePurposesColumn: '<?php echo $cookiecontrolSettings['disclosurePurposesColumn']; ?>',
				seconds: '<?php echo $cookiecontrolSettings['seconds']; ?>',
				minutes: '<?php echo $cookiecontrolSettings['minutes']; ?>',
				hours: '<?php echo $cookiecontrolSettings['hours']; ?>',
				days: '<?php echo $cookiecontrolSettings['days']; ?>'

   }
		<?php
	}
	?>
	},
	<?php
	if (($cookiecontrolSettings['product'] != 'COMMUNITY'))
	{
		?>
	branding : {
		fontColor: '<?php echo $cookiecontrolSettings['fontColor']; ?>',
		fontFamily: '<?php echo $cookiecontrolSettings['fontFamily']; ?>',
		fontSizeTitle: '<?php echo $cookiecontrolSettings['fontSizeTitle']; ?>em',
		fontSizeHeaders: '<?php echo $cookiecontrolSettings['fontSizeHeaders']; ?>em',
		fontSize: '<?php echo $cookiecontrolSettings['fontSize']; ?>em',
		backgroundColor: '<?php echo $cookiecontrolSettings['backgroundColor']; ?>',
		toggleText: '<?php echo $cookiecontrolSettings['toggleText']; ?>',
		toggleColor: '<?php echo $cookiecontrolSettings['toggleColor']; ?>',
		toggleBackground: '<?php echo $cookiecontrolSettings['toggleBackground']; ?>',
		alertText: '<?php echo $cookiecontrolSettings['alertText']; ?>',
		alertBackground: '<?php echo $cookiecontrolSettings['alertBackground']; ?>',
		acceptText: '<?php echo $cookiecontrolSettings['acceptTextColor']; ?>',
		acceptBackground: '<?php echo $cookiecontrolSettings['acceptBackground']; ?>',
		rejectText: '<?php echo $cookiecontrolSettings['rejectTextColor']; ?>',
		rejectBackground: '<?php echo $cookiecontrolSettings['rejectBackground']; ?>',
		closeText: '<?php echo $cookiecontrolSettings['closeTextColor']; ?>',
		closeBackground: '<?php echo $cookiecontrolSettings['closeBackground']; ?>',
		notifyFontColor: '<?php echo $cookiecontrolSettings['notifyFontColor']; ?>',
		notifyBackgroundColor: '<?php echo $cookiecontrolSettings['notifyBackgroundColor']; ?>',

		<?php
		if (empty($cookiecontrolSettings['buttonIcon']))
		{
			?>
		buttonIcon: null,
			<?php
		}
		else
		{
			?>
		buttonIcon: '<?php echo $cookiecontrolSettings['buttonIcon']; ?>',
			<?php
		}
		?>
		buttonIconWidth: '<?php echo $cookiecontrolSettings['buttonIconWidth']; ?>px',
		buttonIconHeight: '<?php echo $cookiecontrolSettings['buttonIconHeight']; ?>px',
		removeIcon: <?php echo $cookiecontrolSettings['removeIcon']; ?>,
		removeAbout: <?php echo $cookiecontrolSettings['removeAbout']; ?>
	},
		<?php
	}

	if (!empty($cookiecontrolSettings['locale']))
	{
		?>
	locale: '<?php echo $cookiecontrolSettings['locale']; ?>',
		<?php
	}

	if (!empty($cookiecontrolSettings['excludedCountries']) && count($cookiecontrolSettings['excludedCountries']) > 0)
	{
		$excludedCountriesVal = '';

		foreach ($cookiecontrolSettings['excludedCountries'] as $key => $val)
		{
			$excludedCountriesVal .= $val != '' ? "'" . $val . "'," : '';
		}

		if ($excludedCountriesVal != '')
		{
			?>
		excludedCountries: [ <?php echo substr($excludedCountriesVal, 0, -1); ?> ],
			<?php
		}
	}
	?> 

	<?php
	if (!empty($cookiecontrolSettings['altLanguages_list']) && count($cookiecontrolSettings['altLanguages_list']) > 0)
	{
		?>
	locales: [
		<?php
		foreach ($cookiecontrolSettings['altLanguages_list']['altLanguages'] as $key => $val)
		{
			if ($val != '' && $cookiecontrolSettings['altLanguages_list']['altLanguagesText'][$key] != '')
			{
				?>
		{
			locale: '<?php echo $val; ?>',
			mode: '<?php echo $cookiecontrolSettings['altLanguages_list']['altMode'][$key]; ?>',
				<?php
				if ($cookiecontrolSettings['altLanguages_list']['altLocation'][$key] != '')
				{
					?>
			location: [ <?php echo $cookiecontrolSettings['altLanguages_list']['altLocation'][$key]; ?> ],
					<?php
				}
				?>
				<?php echo $cookiecontrolSettings['altLanguages_list']['altLanguagesText'][$key]; ?> 
		},       
				<?php
			}
		}
		?>
	],
		<?php
	}

	if (!empty($cookiecontrolSettings['necessaryCookies']) && count($cookiecontrolSettings['necessaryCookies']) > 0)
	{
		$necessaryCookiesVal = '';

		foreach ($cookiecontrolSettings['necessaryCookies'] as $key => $val)
		{
			$necessaryCookiesVal .= $val != '' ? "'" . $val . "'," : '';
		}

		if ($necessaryCookiesVal != '')
		{
			?>    
		necessaryCookies: [ <?php echo substr($necessaryCookiesVal, 0, -1); ?> ],
			<?php
		}
	}

	if (!empty($cookiecontrolSettings['optionalCookiesSubform']) && count((array) $cookiecontrolSettings['optionalCookiesSubform']) > 0)
	{
		?>
	optionalCookies: [
		<?php
		foreach ($cookiecontrolSettings['optionalCookiesSubform'] as $key => $val)
		{
			if ($val != '')
			{
				?>
			{
			name: '<?php echo str_replace(' ', '_', $val->optionalCookiesName); ?>',
			label: '<?php echo $val->optionalCookiesLabel; ?>',
			description: '<?php echo $val->optionalCookiesDescription; ?>',
			cookies: [ <?php echo $val->optionalCookiesArray; ?> ],
			onAccept : function(){
				<?php echo $val->optionalCookiesonAccept; ?>
			},
			onRevoke : function(){
				<?php echo $val->optionalCookiesonRevoke; ?>
			},
				<?php
				if ($val->optionalCookiesthirdPartyCookies
					&& !empty($val->optionalCookiesthirdPartyCookies))
				{
					if (substr($val->optionalCookiesthirdPartyCookies, 0, 1) !== '{')
					{
						$tempThirdPartyCookies = '{' . $val->optionalCookiesthirdPartyCookies . '}';
					}
					else
					{
						$tempThirdPartyCookies = $val->optionalCookiesthirdPartyCookies;
					}
					?>

			thirdPartyCookies: [<?php echo $tempThirdPartyCookies; ?>],
					<?php
				}
				?> 
			recommendedState : '<?php echo $val->optionalCookiesinitialConsentState; ?>',
			lawfulBasis : '<?php echo $val->optionalCookieslawfulBasis; ?>',
				<?php
				if (property_exists($val, 'vendors')
					&& !empty($val->vendors))
				{
					?>
			vendors: [
					<?php foreach ($val->vendors as $vendor)
					{
						?>
					{
						"name": '<?php echo $vendor->vendorName; ?>',
						"url": '<?php echo $vendor->vendorUrl; ?>',
						"description": '<?php echo $vendor->vendorDescription; ?>',
						"thirdPartyCookies": <?php echo $vendor->vendorthirdPartyCookies; ?>
					},
						<?php
					}
					?>
			],
					<?php
				}
				?>
			},
				<?php
			}
		}
		?>
	],
		<?php
	}
	?>
	<?php
	if (($cookiecontrolSettings['mode'] == 'CCPA'))
	{
		?>
	ccpaConfig:  {
		description: '<?php echo $cookiecontrolSettings['privacyDescriptionCCPA']; ?>',
		name: '<?php echo $cookiecontrolSettings['privacyNameCCPA']; ?>',
		url: '<?php echo $cookiecontrolSettings['privacyURLCCPA']; ?>',
		updated: '<?php echo $cookiecontrolSettings['privacyUpdateDateCCPA']; ?>'
	},
		<?php
	}

	?>
	statement:  {
		description: '<?php echo $cookiecontrolSettings['privacyDescription']; ?>',
		name: '<?php echo $cookiecontrolSettings['privacyName']; ?>',
		url: '<?php echo $cookiecontrolSettings['privacyURL']; ?>',
		updated: '<?php echo $cookiecontrolSettings['privacyUpdateDate']; ?>'
	},
	<?php

	if (($cookiecontrolSettings['product'] != 'COMMUNITY'))
	{
		?>
  iabCMP: <?php echo $cookiecontrolSettings['iabCMP']; ?>,
  iabConfig: {
		publisherCC: '<?php echo $cookiecontrolSettings['iabpublisherCC']; ?>',
		fullLegalDescriptions: <?php echo $cookiecontrolSettings['iabfullLegalDescriptions']; ?>,
		dropDowns: <?php echo $cookiecontrolSettings['iabdropDowns']; ?>,
		saveOnlyOnClose: <?php echo $cookiecontrolSettings['iabsaveOnlyOnClose']; ?>,
  },
		<?php
	}
	?>
	};

	CookieControl.load( config );
</script>
	<?php
}
